/*Implementation of PStep_ColumnGenerator.h

It contains the member functions of PStep_ColumnGenerator5

*/

#include "PStep_ColumnGenerator.h"

//PStep_ColumnGenerator5:
//>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

//Generate columns
//------------------------------------------------------------------------------------

//Use column generator 1, but apply decremental state-space relaxation.
void PStep_ColumnGenerator5::GenerateColumns(){

	GenerateColumns5();

}

//Use column generator 1, but apply decremental state-space relaxation.
void PStep_ColumnGenerator5::GenerateColumns5(){

	//Reinitialize the decremental state-space information, if required
	if (AlgorithmMembers.DSSRUsed && AlgorithmMembers.AlgorithmSettings.DSSRReset == 3){
		ResetDSSRNeighbourhoods();
	}

	//Initialize the decremental state-space relaxation loop
	RerunRequired = true;

	//Resolve the pricing problem as long as RerunRequired is true
	while (RerunRequired){

		//Generate columns
		GenerateColumns1();
	}

}